import request from '@/utils/request'


//获取数据
export function Search(parms){
    return request({
      url: '/product/info',
      method: 'get',
      params: parms
    })
  }

  ///province/info
//获取所有省份
export function province(parms){
  return request({
    url: 'province/info',
    method: 'get',
    params: parms
  })
}


//新增
export function ProductAdd(data) {
  return request({
    url: '/product/add',
    method: 'post',
    data: data
  })
}

//修改
export function ProductEdit(data) {
  return request({
    url: '/product',
    method: 'put',
    data: data
  })
}

//删除
export function ProductDel(productId) {
  return request({
    url: '/product/del/' + productId,
    method: 'put',
  })
}

//维护信息
//新增修改维护信息
export function MaintAdd(data) {
  return request({
    url: '/operator',
    method: 'post',
    data: data
  })
}

//分页获取维护信息
export function MaintSearch(parms){
  return request({
    url: '/operator/info',
    method: 'get',
    params: parms
  })
}

//删除维护信息
export function MaintDel(parms) {
  return request({
    url: '/operator',
    method: 'delete',
    data:parms
  })
}




